| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
odFault3D Class Reference

`#include <odfault.h>`

Inheritance diagram for odFault3D:
[legend]

## Public Member Functions
| odFault3D (const odSurvey &thesurvey, const char *name)
| odFault3D (const odSurvey &thesurvey, const char *name, const StepInterval< int > &inl_rg, const StepInterval< int > &crl_rg, bool overwrite=false)
| ~odFault3D ()
void | getInfo (OD::JSON::Object &) const override
Public Member Functions inherited from odFaultObject
| odFaultObject (const odSurvey &thesurvey, const char *name, const char *tgname)
| odFaultObject (const odSurvey &thesurvey, const char *name, const char *tgname, bool overwrite)
| ~odFaultObject ()
void | getFeature (OD::JSON::Object &, bool towgs=true) const override
int | getNrSticks () const
void | getPoints (OD::JSON::Array &, bool) const override
void | getStick (int stickidx, hAllocator allocator) const
Public Member Functions inherited from odSurveyObject
| odSurveyObject (const odSurvey &, const char *, const char *)
| odSurveyObject (const odSurvey &, const char *, const char *, bool, const char *fmt=nullptr)
| odSurveyObject (const odSurveyObject &)=delete
virtual | ~odSurveyObject ()
bool | canRead () const
bool | canWrite () const
BufferString | errMsg () const
BufferString | getName () const
bool | isOK () const
bool | isReadOnly () const
odSurveyObject & | operator= (const odSurveyObject &)=delete
void | setErrMsg (const char *msg) const
const odSurvey & | survey () const
bool | zIsTime () const

## Static Public Member Functions
static const char * | translatorGrp ()
Static Public Member Functions inherited from odSurveyObject
template<typename T >
static void | getFeatures (OD::JSON::Object &, const odSurvey &survey, const BufferStringSet &)
template<typename T >
static void | getInfos (OD::JSON::Array &, const odSurvey &survey, const BufferStringSet &)
template<typename T >
static BufferStringSet * | getNames (const odSurvey &survey)
template<typename T >
static bool | isPresent (const odSurvey &, const char *objname)
template<typename T >
static void | removeObjects (const odSurvey &survey, const BufferStringSet &)

## Additional Inherited Members
Protected Member Functions inherited from odFaultObject
Geometry::FaultStickSet * | stickset () const
Protected Member Functions inherited from odSurveyObject
IOObj * | ioobj_ptr () const
Protected Attributes inherited from odSurveyObject
BufferString | errmsg_
BufferString | name_
bool | overwrite_ = false
bool | readonly_ = true
const odSurvey & | survey_
BufferString | tgname_
bool | zistime_

## Constructor & Destructor Documentation

## ◆ odFault3D() [1/2]

odFault3D::odFault3D | ( | const odSurvey & | thesurvey,
|  | const char * | name )

## ◆ odFault3D() [2/2]

odFault3D::odFault3D | ( | const odSurvey & | thesurvey,
|  | const char * | name,
|  | const StepInterval< int > & | inl_rg,
|  | const StepInterval< int > & | crl_rg,
|  | bool | overwrite = false )

## ◆ ~odFault3D()

odFault3D::~odFault3D | ( |  | ) |

## Member Function Documentation

## ◆ getInfo()

void odFault3D::getInfo | ( | OD::JSON::Object & |  | ) | const
| override virtual

Implements odSurveyObject.

## ◆ translatorGrp()

static const char * odFault3D::translatorGrp | ( |  | ) |
| static

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025